Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.eway
Class SAPEndpoint

    java.lang.Object
      com.stc.connector.sapbapiadapter.eway.SAPEndpoint

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

    public class SAPEndpoint

extends java.lang.Object
implements com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

Implementation of EwayActivationSpec for SAP Bapi activations.

Author:
  rdhingra

Constructor Summary
`SAPEndpoint()`

Method Summary
`void` | `activation(javax.resource.spi.endpoint.MessageEndpointFactory mef, javax.resource.spi.BootstrapContext bc, com.stc.configuration.IConfiguration aConfiguration, com.stc.connector.management.util.ObjectReference aMonitor)` Activate eWay endpoint.
`void` | `deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)` Deactivate (terminate) eWay endpoint.
`protected long` | `getActivationDuration()` Get the duration of this activation.
`protected javax.resource.spi.endpoint.MessageEndpointFactory` | `getMessageEndpointFactory()` Validate the activation request information used to create an eWay endpoint activation.
`protected javax.resource.spi.work.WorkManager` | `getWorkManager()` Get the WorkManager for submitting Work requests.
`javax.transaction.xa.XAResource` | `getXAResource()` Get the XAResource from the current active eWay endpoint.
`void` | `initialize(javax.resource.spi.BootstrapContext bc)` Initialize the EwayActivationSpec instance.
`void` | `release()`
`protected long` | `setLastEventTime(long eventTime)` Set the last occurring event time.
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference aMonitor)`
`void` | `validate(com.stc.configuration.IConfiguration aConfiguration)` Validate the activation request information used to create an eWay endpoint activation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAPEndpoint

    public SAPEndpoint()

Method Detail

### activation

    public void activation(javax.resource.spi.endpoint.MessageEndpointFactory mef,
                           javax.resource.spi.BootstrapContext bc,
                           com.stc.configuration.IConfiguration aConfiguration,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws javax.resource.NotSupportedException

  Activate eWay endpoint.

  Specified by:
    `activation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
    `bc` - The BootstrapContext provided by the container.
    `aConfiguration` - The instance of IConfiguration which contains the information for creating an endpoint activation.
    `aMonitor` - The monitor ObjectReference.
  Throws:
    `javax.resource.NotSupportedException` - Indicates that callee (resource adapter or application server for system contracts) cannot execute an operation because the operation is not a supported feature
  See Also:
    `(MessageEndpointFactory, BootstrapContext, IConfiguration, ObjectReference)`

### deactivation

    public void deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)

  Deactivate (terminate) eWay endpoint.

  Specified by:
    `deactivation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.

### release

    public void release()

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get the XAResource from the current active eWay endpoint.

  Specified by:
    `getXAResource` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Returns:
    An XAResource from the active eWay endpoint connection.
  Throws:
    `javax.resource.ResourceException` - upon error.

### initialize

    public void initialize(javax.resource.spi.BootstrapContext bc)

  Initialize the EwayActivationSpec instance.

  Parameters:
    `bc` - The BootstrapContext provided by the container.

### validate

    public void validate(com.stc.configuration.IConfiguration aConfiguration)
                  throws javax.resource.spi.InvalidPropertyException

  Validate the activation request information used to create an eWay endpoint activation.

  Parameters:
    `aConfiguration` - The instance of IConfiguration which contains the information for creating an endpoint activation.
  Throws:
    `javax.resource.spi.InvalidPropertyException` - if one or more of the properties is invalid.

### setLastEventTime

    protected long setLastEventTime(long eventTime)

  Set the last occurring event time. Returns the previous value of the last occurring event time.

  Parameters:
    `eventTime` - The last occurring event time.
  Returns:
    The previous value of the last occurring event time.

### getActivationDuration

    protected long getActivationDuration()

  Get the duration of this activation.

  Returns:
    The duration of this activation.

### getMessageEndpointFactory

    protected javax.resource.spi.endpoint.MessageEndpointFactory getMessageEndpointFactory()

  Validate the activation request information used to create an eWay endpoint activation.

  Returns:
    An instance of MessageEndpoint to which the timer event is to be published.

### getWorkManager

    protected javax.resource.spi.work.WorkManager getWorkManager()

  Get the WorkManager for submitting Work requests.

  Returns:
    An instance of WorkManager used for submitting Work requests.

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference aMonitor)

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD